Macaulay2 » Documentation
Packages » SRdeformations :: simplexDim
next | previous | forward | backward | up | index | toc

# simplexDim -- The dimension of a face inside the vertex simplex.

- Usage:
    `simplexDim(F)`
- Inputs:
  - F, a face,
- Outputs:
  - an integer, bigger or equal to -1

## Description

The dimension of a face inside the vertex simplex, i.e., the number of vert F minus 1.

    i1 : R=QQ[x_0..x_4];

    i2 : C=simplex R;

    i3 : F=C.fc_2_0

    o3 = x x x
          0 1 2

    o3 : face with 3 vertices

    i4 : simplexDim F

    o4 = 2

## See also

- vert -- The vertices of a face or complex.
- dim(Face) -- Compute the dimension of a face.

## Ways to use simplexDim:

- `simplexDim(Face)`

## For the programmer

The object simplexDim is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:5756:0.